0

Problema com a instalação do Java e pacotes.

Ibraim Nascimento
Ibraim Nascimento

Olá pessoal, estou tendo problema ao instalar o java10 no Ubuntu, e aparace a seguinte mensagem:

E: O pacote 'oracle-java10-installer' não tem candidato para instalação"

instalei a versão java15, Conseguir instalar mas esta dando erro de compatibilidade no gradle e no maven .


Alguem esta com o mesmo problema ?


-------------------------------------------------------------------------------------------------

GRADLE (erro que aparece no gradle)

./gradle -v

FAILURE: Build failed with an exception.


* What went wrong:

Could not determine java version from '15.0.2'.


* Try:

Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.


* Get more help at https://help.gradle.org

--------------------------------------------------------------------------------------------------

MAVEN (erro que aparece no mave)

mvn -N to.takari:maven:wrapper


[INFO] ------------------------------------------------------------------------

[INFO] BUILD FAILURE

[INFO] ------------------------------------------------------------------------

[INFO] Total time: 4.957 s

[INFO] Finished at: 2021-02-22T21:25:24-08:00

[INFO] ------------------------------------------------------------------------

[ERROR] Error resolving version for plugin 'to.takari:maven' from the repositories [local (/home/isn/.m2/repository), central (https://repo.maven.apache.org/maven2)]: Plugin not found in any plugin repository -> [Help 1]

[ERROR] 

[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.

[ERROR] Re-run Maven using the -X switch to enable full debug logging.

[ERROR] 

[ERROR] For more information about the errors and possible solutions, please read the following articles:

[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/PluginVersionResolutionException

--------------------------------------------------------------------------------------------------


2
19

Comentários (2)

0
Ibraim Nascimento

Ibraim Nascimento

23/02/2021 19:33

blz Carlos, vou tentar.

obrigado.

0
Carlos Silva

Carlos Silva

23/02/2021 08:09

Olá!


Recomendo executar o comando javac -v para se certificar que o Java está acessível.

None

Brasil